kaia_sendRawTransaction
POST
Submits signed transaction data to the network. When the transaction is processed successfully, the transaction hash is returned. Transaction signing must be performed client-side with a private key. The node only validates the transaction.
param[0]
signedTransactionHashstringrequired
Signed transaction hash represents the hash of the signed transaction. It is expressed as a hexadecimal string starting with 0x.To obtain a signed transaction hash, follow these steps:1. Create transaction data. This includes sender, recipient, gas price, gas limit, amount to send, etc.2. RLP (Recursive Length Prefix) encode the transaction data.3. Create a hash value by passing the RLP-encoded data through the Keccak-256 hash function.4. Sign the generated hash. The signed hash is the signed transaction hash.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://kaia-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "kaia_sendRawTransaction","params": ["0x02f8688080808080943f39cfbaff46cb736a603269d14a7e9adf5158b488016345785d8a000080c001a005599173ee4483fa38044e8d7bf592b58a9ab598f7d4a510702d193c60af15a0a00f2d39e8202dc9d7d66a51fc67fcf1d893b20e080c6acf2b25610f5e926cfa21"]}'